# _EVPCTX
<span class="source-link">[[Source]](src/crypto/digest.md#L5)</span>
```pony
primitive val _EVPCTX
```

## Constructors

### create
<span class="source-link">[[Source]](src/crypto/digest.md#L5)</span>


```pony
new val create()
: _EVPCTX val^
```

#### Returns

* [_EVPCTX](crypto-_EVPCTX) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/crypto/digest.md#L7)</span>


```pony
fun box eq(
  that: _EVPCTX val)
: Bool val
```
#### Parameters

*   that: [_EVPCTX](crypto-_EVPCTX) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/crypto/digest.md#L7)</span>


```pony
fun box ne(
  that: _EVPCTX val)
: Bool val
```
#### Parameters

*   that: [_EVPCTX](crypto-_EVPCTX) val

#### Returns

* [Bool](builtin-Bool) val

---

